/*---------------------------------------------------------------------
  encoder_demo by Jack Botner

  Header file definitions for ports and pins  
---------------------------------------------------------------------*/
#ifndef _DEMO_H_
#define _DEMO_H_

#define MAX_CHECKS    5     // number of tests before a switch is debounced

#define TIMER0_INIT   ( 256 - 225 )		// timer0 initialization value

// Events bits
#define EVENT_BUTTON_PRESSED    0
#define EVENT_ENCODER_UP		1
#define EVENT_ENCODER_DOWN		2
#define EVENT_SWITCH_CHANGE		3

// Debounced switches bits
#define ENC_SWITCH_A		0
#define ENC_SWITCH_B		1
#define ENC_SWITCH_PB		2

// Rotary encoder port defines
#define ENCODER_PORT		portb
#define ENCODER_A			1
#define ENCODER_B			2
#define ENCODER_PB			0

// LED display port defines
#define SEG_A_PORT		porta
#define SEG_A_BIT			0
#define SEG_B_PORT		porta
#define SEG_B_BIT			1
#define SEG_C_PORT		porta
#define SEG_C_BIT			2
#define SEG_D_PORT		porta
#define SEG_D_BIT			3
#define SEG_E_PORT		porta
#define SEG_E_BIT			4
#define SEG_F_PORT		portb
#define SEG_F_BIT			3
#define SEG_G_PORT		portb
#define SEG_G_BIT			4

// Beeper port defines
#define BEEPER_PORT		portb
#define BEEPER_BIT			5

#endif //_DEMO_H_
