/*---------------------------------------------------------------------
  encoder_demo by Jack Botner

  Header file definitions for ports and pins  
---------------------------------------------------------------------*/
#ifndef _DEMO_H_
#define _DEMO_H_

#define MAX_CHECKS    5     // number of tests before a switch is debounced

#define TIMER0_INIT   ( 256 - 225 )		// timer0 initialization value

// Events bits
#define EVENT_BUTTON_PRESSED    0
#define EVENT_ENCODER_UP		1
#define EVENT_ENCODER_DOWN		2
#define EVENT_SWITCH_CHANGE		3

// Debounced switches bits
#define ENC_SWITCH_A		0
#define ENC_SWITCH_B		1
#define ENC_SWITCH_PB		2

// Rotary encoder port defines
#define ENCODER_A		RB1
#define ENCODER_B		RB2
#define ENCODER_PB		RB0

// LED display port defines
#define SEG_A_BIT		RA0
#define SEG_B_BIT		RA1
#define SEG_C_BIT		RA2
#define SEG_D_BIT		RA3
#define SEG_E_BIT		RA4
#define SEG_F_BIT		RB3
#define SEG_G_BIT		RB4

// Beeper port defines
#define BEEPER_BIT		RB5

// Defines for accessing bits
#define set_bit(port,bit)  (port |= (1<<bit))
#define clear_bit(port,bit)  (port &= ~(1<<bit))
#define test_bit( reg, bitNumb )   ((reg) & (1 << (bitNumb)))

#endif //_DEMO_H_
